# Interface IAnalyticsDocumentViewMeta

The `IAnalyticsDocumentViewMeta` interface describes the expected metadata when logging a click event / item view.

See also the `Analytics` component, and more specifically its `logClickEvent` method.

## Index

### Properties

- author
- documentTitle
- documentURL

## Properties

### author

author: string

- Defined in ui/Analytics/AnalyticsActionListMeta.ts :64

The author of the clicked item.

### Optional documentTitle

documentTitle: string

- Defined in ui/Analytics/AnalyticsActionListMeta.ts :59

The title of the clicked item.

### Optional documentURL

documentURL: string

- Defined in ui/Analytics/AnalyticsActionListMeta.ts :54

The URL of the clicked item.

### Hierarchy

- IAnalyticsDocumentViewMeta